Bug 182300 - Graphical install fails on Dell Dimension 2400 (Intel i810)
Graphical install fails on Dell Dimension 2400 (Intel i810)
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-02-21 13:04 EST by William Shotts
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-22 17:49:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William Shotts 2006-02-21 13:04:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20060210 Fedora/ Firefox/

Description of problem:
On FC5T3 and possibly earlier test releases, anaconda is unable to properly set the display resolution during installation.  While it appears to correctly detect both the graphics controller and the monitor, it always sets the display resolution to 640x480 which is inadequate for the installation (you only see the upper left quaderant of the installation screen.)

Further, if you attempt to install using text mode, X is installed but not configured (no xorg.conf file is created) and /etc/inittab is set to run level 3 rather than 5.

X will run fine on this system.  After performing a text install, I remotely ran the system-config-display to create the conf file and set the default run level to 5 and it works fine.

My graphics controller is detected as a:

VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Jeremy Katz 2006-02-22 17:49:41 EST
Fixed in CVS.  We lost a hack to handle i810 bioses that return silly (aka < 1
meg) of video ram

Note You need to log in before you can comment on or make changes to this bug.